Bootstrap
本文主要介绍使用使用 IntelliJ IDEA Gradle创建新项目时,报错(sync failed: Could not determine Java version using executable C:\Program Files\Java\jdk-10.0.1\bin\java.exe)解决方法。

1、JDK10的解决方法

对于JDK 10,您将需要Gradle 4.7+,默认情况下IntelliJ IDEA(当前版本IntelliJ IDEA 2018.1.4)不使用。
要解决此问题,请为您的操作系统安装最新的Gradle(安装指南)。对于MacOS,您可以使用Homebrew:

brew install gradle

转到项目目录:

cd ~/path/to/your/project/

使用安装的版本生成Gradle Wrapper脚本(示例中为4.8):

gradle wrapper --gradle-version 4.8

此命令将下载Gradle 4.8,为当前项目创建脚本gradlew和gradlew.bat。从这一点开始,您应该在命令行中使用这些脚本。
下一步,是确保IntelliJ IDEA使用这些,而不是内置的Gradle分发,你可以通过打开IntelliJ首选项并搜索“gradle”(这将在"Build, Execution, Deployment/Build Tools/Gradle"中来实现“)

在设置的此部分中选择:
选择“Use gradle ‘wrapper’ task configuration
应用更改,按确定并重新构建(重新同步)Gradle。

2、IntelliJ 2018.1.5和Java 10.0.1 JDK在Windows 10解决方法

1) 从以下网址下载新的gradle版本(本文发布时最新版本为4.8.1)
https://gradle.org/releases
2) 按照以下步骤操作
安装说明文档https://gradle.org/install/

  • 使用文件资源管理器创建一个新目录C:\Gradle
  • 打开第二个文件资源管理器窗口,然后转到下载Gradle分发版的目录。双击ZIP存档以显示内容。将内容文件夹gradle-4.8.1拖到新创建的C:\Gradle文件夹中。
  • PATH C:\Gradle\gradle-4.8.1\bin添加到环境变量中

3) 转到文件File --> Settings-->Build Tools --> Gradle 并将 Gradle home 设置为C:/Gradle/gradle-4.8.1
4) 转到View - > Tool Windows - > Gradle并点击Refresh all Gradle projects图标

3、其它解决方法

进入File >> Settings >> Build, Execution, Deployment >> Build Tools >> Gradle,然后选择:Use local gradle distribution